Subject: Re: [PATCH] format-patch: Update the `-3` example

From: Ramkumar Ramachandra <[email-masked]>
Date: Sat, 21 Aug 2010 16:23:54 +0530

Hi,

Ramkumar Ramachandra writes:
> Hi Jakub,
> 
> Jakub Narebski writes:
> > Works for me:
> > 
> >   5031:[gitweb/split@git]# git format-patch -3
> >   0001-gitweb-Prepare-for-splitting-gitweb.txt
> >   0002-gitweb-Create-Gitweb-Git-module.txt
> > 
> >   5034:[gitweb/split@git]# git version
> >   git version 1.7.2.1
> > 
> > 
> > The -3 is git-log option:
> > 
> >   -<n>   Limits the number of commits to show.
> > 
> > and also git-format-patch option:
> > 
> >   -<n>   Limits the number of patches to prepare.
> 
> Hm, doesn't work on the `pu` Git, but works on `master` -- I'm
> currently bisecting to find the problem. `git log -3` works
> though.

:facepalm:

Scratch out what I just said -- I just realized that `git format-patch
HEAD~3` handles merge commits, but `git format-patch -3` does
not. `git format-patch -3 HEAD~3` is even more confusing- should we
even advertise the `-<n>` option in format-patch?

-- Ram